﻿namespace TestProject;

/// <summary>
/// 앱
/// </summary>
public partial class App : Application
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Public

    #region 사람 저장소 - PersonRepository

    /// <summary>
    /// 사람 저장소
    /// </summary>
    public static PersonRepository PersonRepository { get; private set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - App(personRepository)

    /// <summary>
    /// 생성자
    /// </summary>
    /// <param name="personRepository">사람 저장소</param>
    public App(PersonRepository personRepository)
    {
        InitializeComponent();

        MainPage = new AppShell();

        PersonRepository = personRepository;
    }

    #endregion
}