﻿namespace TestProject;

/// <summary>
/// 파일 헬퍼
/// </summary>
public class FileHelper
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Public

    #region 데이터베이스 파일 경로 구하기 - GetDatabaseFilePath(fileName)

    /// <summary>
    /// 데이터베이스 파일 경로 구하기
    /// </summary>
    /// <param name="fileName">파일명</param>
    /// <returns>데이터베이스 파일 경로</returns>
    public static string GetDatabaseFilePath(string fileName)
    {
        return Path.Combine(FileSystem.AppDataDirectory, fileName);
    }

    #endregion
}