﻿using SQLite;

namespace TestProject;

/// <summary>
/// 사람
/// </summary>
[Table("people")]
public class Person
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ID - ID

    /// <summary>
    /// ID
    /// </summary>
    [PrimaryKey, AutoIncrement]
    public int ID { get; set; }

    #endregion
    #region 성명 - Name

    /// <summary>
    /// 성명
    /// </summary>
    [MaxLength(250), Unique]
    public string Name { get; set; }

    #endregion
}